LLM-readable documentation index

Create a Row in a Golden Data Set

Hand off to an LLM
POST
/v2/datasets/{dataset_api_id}/rows/from-row
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

dataset_api_id*string

Unique identifier of the dataset

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.bem.ai/v2/datasets/string/rows/from-row" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "columns": {}  }'
{
  "row": {
    "key": "string",
    "columns": {},
    "source": {
      "transformationID": "string",
      "eventID": "string",
      "referenceID": "string",
      "functionName": "string",
      "functionVersionNum": 0,
      "functionType": "string"
    }
  },
  "error": "string"
}